package cn.com.poc.appbuilder.service;

import cn.com.poc.appbuilder.model.BizAppbuilderConversationRecordModel;
import cn.com.yict.framemax.core.service.BaseService;
import cn.com.yict.framemax.data.model.PagingInfo;

import java.util.Collection;
import java.util.List;

public interface BizAppbuilderConversationRecordService extends BaseService {

    BizAppbuilderConversationRecordModel get(Integer id) throws Exception;
    
    List<BizAppbuilderConversationRecordModel> findByExample(BizAppbuilderConversationRecordModel example,PagingInfo pagingInfo) throws Exception;
    
    void delete(BizAppbuilderConversationRecordModel model) throws Exception;
    
    void deleteById(Integer id) throws Exception;
    
    void deleteAll(Collection<Integer> ids) throws Exception;
    
    BizAppbuilderConversationRecordModel save(BizAppbuilderConversationRecordModel model) throws Exception;
    
    Collection<BizAppbuilderConversationRecordModel> saveAll(Collection<BizAppbuilderConversationRecordModel> models) throws Exception;
    
}